HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

List a subscription's line items

See the Pagination Guide to learn how to use pagination in the API and Client Libraries.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Subscription ID or UUID. For ID no prefix is used e.g. e28zov4fw0v2. For UUID use prefix uuid-, e.g. uuid-123457890.

Query Params
ids
array of strings

Filter results by their IDs. Up to 200 IDs can be passed at once using
commas as separators, e.g. ids=h1at4d57xlmy,gyqgg0d3v9n1,jrsm5b4yefg6.

Important notes:

  • The ids parameter cannot be used with any other ordering or filtering
    parameters (limit, order, sort, begin_time, end_time, etc)
  • Invalid or unknown IDs will be ignored, so you should check that the
    results correspond to your request.
  • Records are returned in an arbitrary order. Since results are all
    returned at once you can sort the records yourself.
ids
integer
1 to 200
Defaults to 20

Limit number of records 1-200.

string
enum
Defaults to desc

Sort order.

Allowed:
string
enum
Defaults to created_at

Sort field. You really only want to sort by updated_at in ascending
order. In descending order updated records will move behind the cursor and could
prevent some records from being returned.

Allowed:
date-time

Inclusively filter by begin_time when sort=created_at or sort=updated_at.
Note: this value is an ISO8601 timestamp. A partial timestamp that does not include a time zone will default to UTC.

date-time

Inclusively filter by end_time when sort=created_at or sort=updated_at.
Note: this value is an ISO8601 timestamp. A partial timestamp that does not include a time zone will default to UTC.

string
enum

Filter by original field.

Allowed:
string
enum

Filter by state field.

Allowed:
string
enum

Filter by type field.

Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json